Browse Source

new patience branch

patience
Alf Gaida 4 years ago
commit
875ea5caf5
38 changed files with 459 additions and 0 deletions
  1. 17
    0
      .gitignore
  2. 2
    0
      FLAVOUR
  3. 14
    0
      VERSION
  4. 9
    0
      automount-open.desktop
  5. 5
    0
      debian/changelog
  6. 1
    0
      debian/compat
  7. 34
    0
      debian/control
  8. 29
    0
      debian/copyright
  9. 25
    0
      debian/get-template
  10. 2
    0
      debian/patience-mate-livesettings.install
  11. 1
    0
      debian/patience-mate-livesettings.lintian-overrides
  12. 30
    0
      debian/patience-mate-livesettings.postinst
  13. 28
    0
      debian/patience-mate-livesettings.preinst
  14. 11
    0
      debian/patience-mate-livesettings.service
  15. 4
    0
      debian/patience-mate-settings.install
  16. 29
    0
      debian/patience-mate-settings.postinst
  17. 13
    0
      debian/rules
  18. 1
    0
      debian/source/format
  19. 4
    0
      debian/source/options
  20. 6
    0
      etc/default/grub.d/siduction.cfg
  21. 4
    0
      etc/polkit-1/localauthority/10-vendor.d/10-siduction-mate-installed-policy.pkla
  22. 2
    0
      etc/skel/config/plank/dock1/launchers/siduction-irc.dockitem
  23. 2
    0
      etc/skel/config/plank/dock1/launchers/zim.dockitem
  24. 39
    0
      etc/skel/config/plank/dock1/settings
  25. 3
    0
      etc/skel/dmrc
  26. 3
    0
      etc/skel/gitconfig
  27. 13
    0
      etc/skel/gitignore
  28. 87
    0
      mate-cheatcodes
  29. 3
    0
      usr/share/glib-2.0/schemas/installed/92_org.gnome.desktop.screensaver.wallpaper.gschema.override
  30. 7
    0
      usr/share/glib-2.0/schemas/installed/92_org.mate.desktop.interface.gschema.override
  31. 3
    0
      usr/share/glib-2.0/schemas/installed/92_org.mate.font-rendering.gschema.override
  32. 2
    0
      usr/share/glib-2.0/schemas/installed/92_org.mate.panel.menubar.gschema.override
  33. 3
    0
      usr/share/glib-2.0/schemas/installed/92_org.mate.peripherals-touchpad.gschema.override
  34. 2
    0
      usr/share/glib-2.0/schemas/installed/92_org.mate.session.gschema.override
  35. 4
    0
      usr/share/glib-2.0/schemas/installed/org.mate.desktop.background.gschema.override
  36. 2
    0
      usr/share/glib-2.0/schemas/live/92_org.gnome.desktop.screensaver.gschema.override
  37. 3
    0
      usr/share/glib-2.0/schemas/live/92_org.mate.lockdown.gschema.override
  38. 12
    0
      usr/share/mate-background-properties/siduction.xml

+ 17
- 0
.gitignore View File

@@ -0,0 +1,17 @@
## ignored editor stuff
*~
*.save

# ignored debian $foo
/debian/thunderstruck-*/
/debian/paintitblack-*/
/debian/patience-*/
/debian/whiteroom-*/

/debian/files
/debian/debhelper-build-stamp
/debian/*.debhelper
/debian/*.log
/debian/*.substvars
/debian/tmp


+ 2
- 0
FLAVOUR View File

@@ -0,0 +1,2 @@
FLAVOUR=mate
DISPLAY=Mate

+ 14
- 0
VERSION View File

@@ -0,0 +1,14 @@
#!/bin/bash

WALLPAPER=patience
CODENAME_SAFE=patience
DESCRIPTION=Patience
VERSION=2016.1.0
DISTRIBUTION=unstable

# Gdm3 and Gnome settings
BACKGROUND_RENDERING_OPTION="stretched"


# FLL_LIVE_USER for 10-live-cd.pkla
FLL_LIVE_USER=siducer

+ 9
- 0
automount-open.desktop View File

@@ -0,0 +1,9 @@
[Desktop Entry]
Name=Automount Open file
Icon=
Exec=/usr/share/patience-mate-settings/automount-open
Terminal=false
Type=Application
Categories=Utility;
X-GNOME-Autostart-enabled=true
NoDisplay=true

+ 5
- 0
debian/changelog View File

@@ -0,0 +1,5 @@
patience-mate-settings (2016.1.0~alpha-1) unstable; urgency=medium

* Initial Release.

-- Alf Gaida <agaida@siduction.org> Sat, 13 Aug 2016 02:20:54 +0200

+ 1
- 0
debian/compat View File

@@ -0,0 +1 @@
9

+ 34
- 0
debian/control View File

@@ -0,0 +1,34 @@
Source: patience-mate-settings
Section: misc
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Uploaders: Torsten Wohlfarth <towo@siduction.org>,
Ovidiu Angelescu <convbsd@siduction.net>
Build-Depends: debhelper (>= 9),
dh-systemd
Standards-Version: 3.9.8
Homepage: https://git.siduction.org/extra/settings-mate
Vcs-Git: https://git.siduction.org/extra/settings-mate.git
Vcs-Browser: https://git.siduction.org/extra/settings-mate.git

# mate Settings
Package: patience-mate-settings
Architecture: all
Depends: ${misc:Depends},
patience-common-settings
Description: Mate settings in installed mode
Pushes Mate overrides schemas in installed mode

Package: patience-mate-livesettings
Architecture: all
Depends: ${misc:Depends},
sidu-installer (>= 2014.01.10),
siduction-icons,
patience-mate-artwork,
patience-mate-settings,
patience-common-livesettings,
patience-sddm-livesettings
| patience-ligthdm-gtk-livesettings
| patience-gdm3-livesettings
Description: Mate settings in live mode
Pushes Mate overrides schemas in live mode

+ 29
- 0
debian/copyright View File

@@ -0,0 +1,29 @@
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: settings-mate
Source: https://git.siduction.org/extra/settings-mate.git

Files: *
Copyright: 2012-2016 Alf Gaida <agaida@siduction.org>
2012-2015 Ovidiu Angelescu <convbsd@siduction.net>
2011-2012 Torsten Wohlfarth <towo@siduction.org>
License: GPL-2.0

Files: debian/*
Copyright: 2012-2016 Alf Gaida <agaida@siduction.org>
License: GPL-2.0

License: GPL-2.0
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 2 of the License.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

+ 25
- 0
debian/get-template View File

@@ -0,0 +1,25 @@
#!/bin/bash
# Copyright 2016 Alf Gaida <agaida@siduction.org>
# License: WTFPL-2

source VERSION

[ -d ./debtemplate ] && rm -rf debtemplate

git checkout templates -- bootstrap
git checkout templates -- debtemplate
git checkout templates -- functions.sh
git checkout templates -- template

[ -f ./debian/rules ] && ./bootstrap && echo 'Bootstrap first run ...'
[ ! -f ./debian/rules ] && ./bootstrap && echo 'Bootstrap second run ...'

[ -f ./debian/rules ] && rm -f bootstrap
[ -f ./debian/rules ] && rm -rf debtemplate
[ -f ./debian/rules ] && rm -f functions.sh
[ -f ./debian/rules ] && rm -rf template


[ ! -f ./debian/rules ] && echo 'Something went wrong, debian/rules not created! Check bootstrap!'

git add .

+ 2
- 0
debian/patience-mate-livesettings.install View File

@@ -0,0 +1,2 @@
usr/share/glib-2.0/schemas/live/* usr/share/glib-2.0/schemas/
mate-cheatcodes usr/share/patience-mate-livesettings

+ 1
- 0
debian/patience-mate-livesettings.lintian-overrides View File

@@ -0,0 +1 @@
patience-mate-livesettings: init.d-script-call-internal-API etc/init.d/mate-cheatcodes

+ 30
- 0
debian/patience-mate-livesettings.postinst View File

@@ -0,0 +1,30 @@
#!/bin/sh
# postinst script for #PACKAGE#

set -e

set_sddm_session() {
sed -e "s/User=/User=siducer/g" \
-e "s/Session=/Session=mate.desktop/g" \
/etc/sddm-*.conf \
> /etc/sddm.conf
}


case "$1" in
configure)
set_sddm_session
;;

abort-upgrade|abort-remove|abort-deconfigure)
;;

*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

#DEBHELPER#

exit 0

+ 28
- 0
debian/patience-mate-livesettings.preinst View File

@@ -0,0 +1,28 @@
#!/bin/sh
# preinst script for #PACKAGE#

set -e

case "$1" in
install|upgrade)
if ! ischroot; then
if [ ! -d /fll ] ; then
echo '############################################################'
echo 'Installing this package is only allowed in live systems!'
echo 'Aborting installation.'
echo '############################################################'
exit 1
fi
fi
;;
abort-upgrade)
;;
*)
echo "preinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

#DEBHELPER#

exit 0

+ 11
- 0
debian/patience-mate-livesettings.service View File

@@ -0,0 +1,11 @@
[Unit]
Description=Mate cheatcodes in live media
ConditionPathExists=/usr/share/patience-mate-livesettings/
After=common-livesettings-patience.service

[Service]
Type=oneshot
ExecStart=/usr/share/patience-mate-livesettings/mate-cheatcodes start

[Install]
WantedBy=graphical.target

+ 4
- 0
debian/patience-mate-settings.install View File

@@ -0,0 +1,4 @@
automount-open.desktop usr/share/patience-mate-settings/
usr/share/mate-background-properties usr/share/
usr/share/glib-2.0/schemas/installed/* usr/share/glib-2.0/schemas
etc usr/share/patience-mate-settings/

+ 29
- 0
debian/patience-mate-settings.postinst View File

@@ -0,0 +1,29 @@
#!/bin/sh
# postinst script for #PACKAGE#

set -e


case "$1" in
configure)
cp -af /usr/share/patience-mate-settings/etc/default/* /etc/default
cp -af /usr/share/patience-mate-settings/etc/polkit-1/* /etc/polkit-1
cp -af /usr/share/patience-mate-settings/etc/skel/gitconfig /etc/skel/.gitconfig
cp -af /usr/share/patience-mate-settings/etc/skel/gitignore /etc/skel/.gitignore
cp -af /usr/share/patience-mate-settings/etc/skel/dmrc /etc/skel/.dmrc
## settings ##
glib-compile-schemas /usr/share/glib-2.0/schemas/
;;

abort-upgrade|abort-remove|abort-deconfigure)
;;

*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

#DEBHELPER#

exit 0

+ 13
- 0
debian/rules View File

@@ -0,0 +1,13 @@
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
dh $@ --with systemd

override_dh_installinit:
dh_systemd_enable
dh_installinit

override_dh_install:
dh_install --fail-missing

+ 1
- 0
debian/source/format View File

@@ -0,0 +1 @@
1.0

+ 4
- 0
debian/source/options View File

@@ -0,0 +1,4 @@
compression-level = 9
tar-ignore = templates
tar-ignore = bootstrap.sh
tar-ignore = FLAVOUR

+ 6
- 0
etc/default/grub.d/siduction.cfg View File

@@ -0,0 +1,6 @@
GRUB_TERMINAL_OUTPUT=gfxterm
GRUB_GFXMODE=1280x1024
GRUB_GFXPAYLOAD_LINUX=1280x1024
GRUB_THEME=/usr/share/grub/themes/patience/theme.txt

GRUB_DISTRIBUTOR="siduction 2016.1.0 patience (mate)"

+ 4
- 0
etc/polkit-1/localauthority/10-vendor.d/10-siduction-mate-installed-policy.pkla View File

@@ -0,0 +1,4 @@
[Laptop CPU Frequency scaling]
Identity=unix-group:users
Action=org.mate.cpufreqselector
ResultActive=yes

+ 2
- 0
etc/skel/config/plank/dock1/launchers/siduction-irc.dockitem View File

@@ -0,0 +1,2 @@
[PlankItemsDockItemPreferences]
Launcher=file:///usr/share/applications/siduction-irc.desktop

+ 2
- 0
etc/skel/config/plank/dock1/launchers/zim.dockitem View File

@@ -0,0 +1,2 @@
[PlankItemsDockItemPreferences]
Launcher=file:///usr/share/applications/zim.desktop

+ 39
- 0
etc/skel/config/plank/dock1/settings View File

@@ -0,0 +1,39 @@
[PlankDockPreferences]
#Whether to show only windows of the current workspace.
CurrentWorkspaceOnly=false
#The size of dock icons (in pixels).
IconSize=32
#If 0, the dock won't hide. If 1, the dock intelligently hides. If 2, the dock auto-hides. If 3, the dock dodges active maximized windows. If 4, the dock dodges every window.
HideMode=1
#Time (in ms) to wait before unhiding the dock.
UnhideDelay=0
#Time (in ms) to wait before hiding the dock.
HideDelay=0
#The plug-name of the monitor for the dock to show on (e.g. DVI-I-1, HDMI1, LVDS1). Leave this empty to keep on the primary monitor.
Monitor=
#List of *.dockitem files on this dock. DO NOT MODIFY
DockItems=geany.dockitem;;siduction-irc.dockitem
#The position for the dock on the monitor. If 0, left. If 1, right. If 2, top. If 3, bottom.
Position=2
#The dock's position offset from center (in percent).
Offset=0
#The name of the dock's theme to use.
Theme=Siduction
#The alignment for the dock on the monitor's edge. If 0, panel-mode. If 1, left-aligned. If 2, right-aligned. If 3, centered.
Alignment=3
#The alignment of the items in this dock if panel-mode is used. If 1, left-aligned. If 2, right-aligned. If 3, centered.
ItemsAlignment=3
#Whether to prevent drag'n'drop actions and lock items on the dock.
LockItems=false
#Whether to use pressure-based revealing of the dock if the support is available.
PressureReveal=false
#Whether to show only pinned applications. Useful for running more then one dock.
PinnedOnly=false
#Whether to automatically pin an application if it seems useful to do.
AutoPinning=true
#Whether to show the item for the dock itself.
ShowDockItem=false
#Whether the dock will zoom when hovered.
ZoomEnabled=false
#The dock's icon-zoom (in percent).
ZoomPercent=150

+ 3
- 0
etc/skel/dmrc View File

@@ -0,0 +1,3 @@
[Desktop]
Session=mate


+ 3
- 0
etc/skel/gitconfig View File

@@ -0,0 +1,3 @@
[user]
email = you@example.com
name = Your Name

+ 13
- 0
etc/skel/gitignore View File

@@ -0,0 +1,13 @@
.ICEauthority
.Xauthority
.bash_history
.cache/
.config/chromium/
.config/pulse/
.dbus/
.gconf/
.gnupg/
.local/
.pki/
.xfce4-session.*
.xsession-errors

+ 87
- 0
mate-cheatcodes View File

@@ -0,0 +1,87 @@
#!/bin/sh

PATH=/sbin:/usr/sbin:/bin:/usr/bin
NAME="mate-cheatcodes"

if [ -r /etc/default/distro ]; then
. /etc/default/distro
fi

. /lib/lsb/init-functions

. /lib/init/fll

if [ -r /etc/default/fll-locales ]; then
. /etc/default/fll-locales
fi

FLL_LIVE_USER_HOME=$(getent passwd ${FLL_LIVE_USER} | cut -d \: -f 6)

###
# cheatcode handling
###
for param in $(cat /proc/cmdline); do
case "${param}" in
flldebug=*)
if [ "${param#flldebug=}" = "${NAME}" ] || [ "${param#flldebug=}" = "all" ]; then
fll_redirect
fi
;;
nointro)
NOINTRO="nointro"
;;
mate)
MATE_SESSION_TYPE="['mate-classic']"
;;
esac
done

change_mate_session() {
if [ -n "${MATE_SESSION_TYPE}" ] ; then
if [ ! -d /etc/glib-2.0/schemas ]; then
mkdir -p /etc/glib-2.0/schemas
fi

mount --bind /usr/share/glib-2.0/schemas /etc/glib-2.0/schemas
sed -i "s@default-session=.*@default-session='${MATE_SESSION_TYPE}'@" /etc/glib-2.0/schemas/92_org.mate.session.gschema.override

# we rebuild schema
glib-compile-schemas /etc/glib-2.0/schemas
umount /etc/glib-2.0/schemas
fi
}

no_intro() {
if [ -z "${NOINTRO}" ] ; then
[ ! -f ${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop ] && sudo -u ${FLL_LIVE_USER} ln -sf "${FLL_LIVE_USER_HOME}/Desktop/${FLL_DISTRO_NAME}.desktop" \
"${FLL_LIVE_USER_HOME}/.config/autostart/"
elif [ -e "${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop" ]; then
# toram + persistency
rm -f "${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop"
fi
}

do_start() {
if [ -f ${FLL_LIVE_USER_HOME}/Desktop/${FLL_DISTRO_NAME}.desktop ]; then
no_intro
fi
# change_mate_session
}

case "${1}" in
start)
log_daemon_msg "${NAME}"
do_start
log_end_msg "${?}"
;;
stop)
;;
restart|force-reload)
echo "Error: argument '${1}' not supported" >&2
exit 3
;;
*)
echo "Usage: ${NAME} {start|stop}" >&2
exit 3
;;
esac

+ 3
- 0
usr/share/glib-2.0/schemas/installed/92_org.gnome.desktop.screensaver.wallpaper.gschema.override View File

@@ -0,0 +1,3 @@
[org.gnome.desktop.screensaver]
picture-uri='file:///usr/share/wallpapers/patience.jpg'
picture-options='stretched'

+ 7
- 0
usr/share/glib-2.0/schemas/installed/92_org.mate.desktop.interface.gschema.override View File

@@ -0,0 +1,7 @@
[org.mate.interface]
menubar-accel='null'
cursor-blink=false
gtk-decoration-layout='menu:minimize,maximize,close'
gtk-theme='Adwaita'
icon-theme='gnome'


+ 3
- 0
usr/share/glib-2.0/schemas/installed/92_org.mate.font-rendering.gschema.override View File

@@ -0,0 +1,3 @@
[org.mate.font-rendering]
antialiasing='rgba'
hinting='medium'

+ 2
- 0
usr/share/glib-2.0/schemas/installed/92_org.mate.panel.menubar.gschema.override View File

@@ -0,0 +1,2 @@
[org.mate.panel.menubar]
icon-name='siduction'

+ 3
- 0
usr/share/glib-2.0/schemas/installed/92_org.mate.peripherals-touchpad.gschema.override View File

@@ -0,0 +1,3 @@
[org.mate.peripherals-touchpad]
tap-to-click=true
disable-while-typing=true

+ 2
- 0
usr/share/glib-2.0/schemas/installed/92_org.mate.session.gschema.override View File

@@ -0,0 +1,2 @@
[org.mate.session]
default-session=['mate-settings-daemon']

+ 4
- 0
usr/share/glib-2.0/schemas/installed/org.mate.desktop.background.gschema.override View File

@@ -0,0 +1,4 @@
[org.mate.background]
picture-filename='/usr/share/wallpapers/patience.jpg'
picture-options='stretched'
show-desktop-icons=true

+ 2
- 0
usr/share/glib-2.0/schemas/live/92_org.gnome.desktop.screensaver.gschema.override View File

@@ -0,0 +1,2 @@
[org.gnome.desktop.screensaver]
lock-enabled=false

+ 3
- 0
usr/share/glib-2.0/schemas/live/92_org.mate.lockdown.gschema.override View File

@@ -0,0 +1,3 @@
[org.mate.lockdown]
disable-lock-screen=true
disable-user-switching=true

+ 12
- 0
usr/share/mate-background-properties/siduction.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0"?>
<!DOCTYPE wallpapers SYSTEM "gnome-wp-list.dtd">
<wallpapers>
<wallpaper deleted="false">
<name>Siduction Wallpaper</name>
<filename>/usr/share/wallpapers/patience.jpg</filename>
<options>stretched</options>
<shade_type>solid</shade_type>
<pcolor>#000000</pcolor>
<scolor>#000000</scolor>
</wallpaper>
</wallpapers>

Loading…
Cancel
Save